#include<bits/stdc++.h>
using namespace std;

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL); cout.tie(NULL);
	int n, m, x[100010], y[100010];
	long long a[100010], sreca=0;
	cin>>n;
	cin>>m;
	for(int i=0; i<n; i++) cin>>a[i];
	
	for(int i=0; i<m; i++) {cin>>x[i]>>y[i]; sreca+=abs(a[x[i]-1]+a[y[i]-1]);}
	
	cout<<sreca;
}